Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ivoa.registry.search
Class SOAPSearchClient.SearchQuery

    java.lang.Object
      net.ivoa.registry.search.SOAPSearchClient.SearchQuery

Enclosing class:
  SOAPSearchClient

    public class SOAPSearchClient.SearchQuery

extends java.lang.Object

an updatable search query

Method Summary
`int` | `getFrom()` return the position of the first record to return
`int` | `getMax()` return the maximum number of records to return
`SOAPMessage` | `getSearchSOAPMessage()` return a SOAP Message that is ready for submission
`SOAPElement` | `getWhereParent()` return a parent element that the Where clause can be appended to.
`boolean` | `isIdentifiersOnly()` return whether idenitifiers only should be returned
`void` | `setFrom(int pos)` set the position of the first record to return
`void` | `setIdentifiersOnly(boolean yes)` set whether idenitifiers only should be returned.
`void` | `setMax(int count)` set the maximum number of records to return
`void` | `setWhere(org.w3c.dom.Element where)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setWhere

    public void setWhere(org.w3c.dom.Element where)
                  throws SOAPException

  Throws:
    `SOAPException`

### getSearchSOAPMessage

    public SOAPMessage getSearchSOAPMessage()
                                     throws SOAPException

  return a SOAP Message that is ready for submission

  Throws:
    `SOAPException`

### getWhereParent

    public SOAPElement getWhereParent()

  return a parent element that the Where clause can be appended to.

### getFrom

    public int getFrom()

  return the position of the first record to return

### setFrom

    public void setFrom(int pos)

  set the position of the first record to return

### getMax

    public int getMax()

  return the maximum number of records to return

### setMax

    public void setMax(int count)

  set the maximum number of records to return

### isIdentifiersOnly

    public boolean isIdentifiersOnly()

  return whether idenitifiers only should be returned

### setIdentifiersOnly

    public void setIdentifiersOnly(boolean yes)

  set whether idenitifiers only should be returned. The default value is false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD